# Queries

## Time Series

--8<-- "sdk/queries/functions.md:intro"

## Raw

--8<-- "sdk/queries/functions.md:raw"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Raw/raw.py"
```

## Resample

--8<-- "sdk/queries/functions.md:resample"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Resample/resample.py"
```

## Interpolate

--8<-- "sdk/queries/functions.md:interpolate"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Interpolate/interpolate.py"
```

## Interpolate At Time

--8<-- "sdk/queries/functions.md:interpolateattime"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Interpolation-at-Time/interpolation_at_time.py"
```

## Time Weighted Average

--8<-- "sdk/queries/functions.md:timeweightedaverage"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Time-Weighted-Average/time_weighted_average.py"
```


## Circular Averages

--8<-- "sdk/queries/functions.md:circularaverages"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Circular-Average/circular_average.py"
```

## Circular Standard Deviation

--8<-- "sdk/queries/functions.md:circularstandarddeviation"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Circular-Standard-Deviation/circular_standard_deviation.py"
```

## Latest

--8<-- "sdk/queries/functions.md:latest"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Latest/latest.py"
```

## Plot

--8<-- "sdk/queries/functions.md:plot"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Plot/plot.py"
```

## Summary

--8<-- "sdk/queries/functions.md:summary"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Summary/summary.py"
```


## Metadata

--8<-- "sdk/queries/functions.md:metadata"

```python
--8<-- "https://raw.githubusercontent.com/rtdip/samples/main/queries/TimeSeriesQueryBuilder/Metadata/metadata.py"
```

<br></br>
[← Previous](../connectors/exercise.md){ .curved-button }
[Next →](./sql.md){ .curved-button }

## Course Progress
-   [X] Introduction
-   [ ] SDK
    *   [X] Authentication
    *   [X] Connectors
    *   [ ] Queries
        +   [X] Time Series
        +   [ ] SQL
        +   [ ] Weather
        +   [ ] Exercise
-   [ ] Power BI        
-   [ ] APIs
-   [ ] Excel Connector